<div class="container-fluid">

    <!-- Content -->
    <div class="row">
        <div class="col-lg-12">
            <div class="col-lg-12 mb-2 card card-profile shadow">
                <div class="card-body pt-3 pb-0">
                    <div class="row">
                        <div class="col-sm-3">

                            <div class="text-center">
                                <p class="role" class="h5">
                                    {{role.role}}
                                </p>
                                <h5>{{role.lastname}} {{role.name}}</h5>
                                <p>{{role.username}}</p>
                            </div>
                        </div>
                        <div class="col-sm-9 ">
                            <div class="nav nav-pills nav-fill justify-content-center py-3" id="v-pills-tab"
                                role="tablist" aria-orientation="vertical">
                                <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill"
                                    [routerLink]="['/management/administration']" role="tab"
                                    aria-controls="v-pills-home">Administration</a>
                                <ng-template [ngIf]="authService.getRole() == 'ADMIN'">
                                    <a class="nav-link" id="v-pills-home-tab" data-toggle="pill"
                                        [routerLink]="['/management/roles']" role="tab" aria-controls="v-pills-home"
                                        aria-selected="true">Roles</a>
                                </ng-template>
                                <!-- <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill"
                                    [routerLink]="['/management/users']" role="tab" aria-controls="v-pills-messages"
                                    aria-selected="false">Utilisateurs</a> -->
                                <a class="nav-link" id="v-pills-settings-tab" data-toggle="pill"
                                    [routerLink]="['/management/statistics']" role="tab"
                                    aria-controls="v-pills-settings" aria-selected="false">Statistiques</a>
                                <a role="button" class="nav-link btn btn-warning" data-toggle="modal"
                                    data-target="#changePassword">
                                    Changer le MDP</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12 px-0">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <div class="col-12">

                                <router-outlet></router-outlet>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <!-- Change Password Modal -->


            <div class="modal fade" id="changePassword" tabindex="-1" data-backdrop="static" data-keyboard="false"
                aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content" *ngIf="!success; else elseBlock">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Changer le mot de passe</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"
                                (click)="resetForm(passwordForm)">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <!--Alert  -->
                            <div class="alert alert-danger alert-dismissible fade show" role="alert"
                                *ngFor="let error of errors">
                                <small><strong>{{error.text}}</strong></small>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <!-- END ALERTS -->
                            <form [formGroup]="passwordForm" (ngSubmit)="changePassword()" novalidate>
                                <div class="form-group">
                                    <label for="currentPassword" class="col-form-label">Mot de passe actuel:</label>
                                    <input type="password" class="form-control" id="currentPassword"
                                        formControlName="currentPassword"
                                        [ngClass]="{ 'is-invalid': passwordForm.controls['currentPassword'].invalid && (passwordForm.controls['currentPassword'].dirty || passwordForm.controls['currentPassword'].touched)}"
                                        autofocus>
                                    <div class="form-control-feedback"
                                        *ngIf="passwordForm.controls['currentPassword'].invalid && (passwordForm.controls['currentPassword'].dirty || passwordForm.controls['currentPassword'].touched)">
                                        <div style="color:red; font-size:small"
                                            *ngIf="passwordForm.controls['currentPassword'].errors.pattern || passwordForm.controls['currentPassword'].errors.required">
                                            Mot de passe invalide
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="newPassword" class="col-form-label">Nouveau mot de passe:</label>
                                    <div class="input-group mb-3">
                                        <input [type]="show ? 'text' : 'password'" class="form-control" id="newPassword"
                                            formControlName="newPassword"
                                            [ngClass]="{ 'is-invalid': passwordForm.controls['newPassword'].invalid && (passwordForm.controls['newPassword'].dirty || passwordForm.controls['newPassword'].touched)}">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary pb-0" type="button"
                                                id="button-addon3" (click)="showPassword()">
                                                <span *ngIf="!show" class="material-icons">
                                                    visibility
                                                </span>
                                                <span *ngIf="show" class="material-icons">
                                                    visibility_off
                                                </span>
                                            </button>
                                        </div>
                                    </div>
                                    <div class="form-control-feedback"
                                        *ngIf="passwordForm.controls['newPassword'].invalid && (passwordForm.controls['newPassword'].dirty || passwordForm.controls['newPassword'].touched)">
                                        <div style="color:red; font-size:small"
                                            *ngIf="passwordForm.controls['newPassword'].errors.required">
                                            Mot de passe invalide
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="confirmNewPassword" class="col-form-label">Confirmer nouveau mot de
                                        passe:</label>
                                    <input type="password" class="form-control" id="confirmNewPassword"
                                        formControlName="confirmNewPassword" [pattern]="f.newPassword.value"
                                        [ngClass]="{ 'is-invalid': passwordForm.controls['confirmNewPassword'].invalid && (passwordForm.controls['confirmNewPassword'].dirty || passwordForm.controls['confirmNewPassword'].touched)}">
                                    <div class="form-control-feedback" style="color:red; font-size:small"
                                        *ngIf="passwordForm.controls['confirmNewPassword'].invalid && (passwordForm.controls['confirmNewPassword'].dirty || passwordForm.controls['confirmNewPassword'].touched)">
                                        <div *ngIf="passwordForm.controls['confirmNewPassword'].errors.required">
                                            Confirmez le mot de passe
                                        </div>
                                        <div *ngIf="passwordForm.controls['confirmNewPassword'].errors.pattern">
                                            Les mots de passe ne correspondent pas.
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal"
                                        (click)="resetForm(passwordForm)">Annuler</button>
                                    <button type="submit" class="btn btn-primary"
                                        [disabled]="passwordForm.pristine || passwordForm.invalid">Changer le mot de
                                        passe!</button>
                                </div>
                            </form>
                        </div>


                    </div>
                    <ng-template #elseBlock>
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">C'est fait!</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"
                                    (click)="closeSession()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p><b>Le nouveau mot de passe a été changé avec réussite!</b> Veuillez vous reconnecter
                                    ;)
                                </p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-primary" (click)="closeSession()"
                                    data-dismiss="modal">D'accord</button>
                            </div>
                        </div>
                    </ng-template>

                </div>
            </div>
        </div>
    </div>